Service Notice: Regarding Vulnerability Measure Against Buffer Overflow for Laser Printers and Small Office Multifunctional Printers | Canon U.S.A., Inc.


Canon U.S.A. identified buffer overflow vulnerabilities in certain printers that could allow unauthorized code execution; affected users should update firmware, use a private IP address, and employ network security measures.

  • Buffer overflow vulnerabilities found in Canon Laser Printers and Small Office Multifunctional Printers.
  • Risks include potential code execution by third parties or DoS attacks.
  • Affected users should update firmware from the Canon website.
  • Secure setups like private IP addresses and firewalls are recommended.
  • Additional impacted products may be identified in the future.
  • Visit the provided Canon support links for more security measures.
  • Canon U.S.A. advises users to take necessary precautions.

Source:
https://www.usa.canon.com/support/canon-product-advisories/Service-Notice-Regarding-Vulnerability-Measure-Against-Buffer-Overflow-for-Laser-Printers-and-Small-Office-Multifunctional-Printers